using System.CommandLine;
using MycroForge.CLI.Commands.Interfaces;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public partial class Db
    {
        public partial class Generate : Command, ISubCommandOf<Db>
        {
            public Generate(IEnumerable<ISubCommandOf<Generate>> subCommands) :
                base("generate", "Generate a database item")
            {
                AddAlias("g");
                foreach (var subCommandOf in subCommands.Cast<Command>())
                    AddCommand(subCommandOf);
            }
            
        }
    }
}